import runtime
import dzn


class EmailSenderComponent(runtime.Component):

    def __init__(self, locator, name='', parent=None):
        runtime.Component.__init__(self, locator, name, parent)
        locator.get(runtime.Runtime).flushes(self)
        self.api = dzn.IEmailSender(provides=runtime.Port('api', self))
        self.api.in_port.SendSupportEmail = lambda *args: runtime.call_in(self,
            lambda : self.api_SendSupportEmail(*args), (self.api,
            'SendSupportEmail'))
        self.api.in_port.Dummy1 = lambda *args: runtime.call_in(self, lambda :
            self.api_Dummy1(*args), (self.api, 'Dummy1'))

    def api_SendSupportEmail(self, content):
        print('DEBUG111')

    def api_Dummy2(self):
        self.dzn_runtime.illegal()
